Page MenuHomePhabricator

Zerobanner #/zeroinfo/ route broken
Closed, ResolvedPublic

Description

Navigating to #/zeroinfo/ doesn't seem to do anything. The code seems to mix MobileFrontend's Router code with oojs ui WindowManager. Here be dragons.
Likewise #/zerosite/url also does nothing.

Event Timeline

Jdlrobson created this task.Oct 1 2015, 8:12 PM
Jdlrobson renamed this task from Zerobanner #/zeroinfo route broken to Zerobanner #/zeroinfo/ route broken.
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: ZeroBanner.
Jdlrobson updated the task description. (Show Details)
Jdlrobson set Security to None.
Jdlrobson added subscribers: Aklapper, Jdlrobson.

#/zeroinfo is the route for an opt-in-per-partner screen that was proposed about a year ago to display extra info to the users when they tap on the banner. To enable this you'd have to add testInfoScreen: true to the JSON config of your test partner (e.g. Zero:TEST). This is currently not being used by any partners and was basically abandoned AFAIK (I think part of the reason we built it in the first place was as an onboarding task for me).

#/zerosite/url, on the other hand, should work fine and open the warning interstitial. If this is currently broken, it's most likely due to the deprecation of route hitting production before https://gerrit.wikimedia.org/r/#/c/242661/ (which has now been merged).

As far as next steps, I will talk with @DFoy and @Yurik to see if there's consensus around removing the #/zeroinfo screen altogether, at which point we can simply remove all remaining OOjs-UI code, since that's the only screen that still uses it.

To be clear, I think we can close this task as Invalid.

We should keep this task open. Removing it is a suitable fix for the raised problem. Go for it :)

Yes, but it's technically incorrect. #/zeroinfo is not broken, it's just
unused. The task should either be renamed and repurposed to dismantling
ZeroInfo.js or closed as Invalid and a new task opened for that purpose.
(I'm happy to do either, I'm just unsure of the proper protocol in this
situation.)

Change 243014 had a related patch set uploaded (by Jdlrobson):
Defer loading of ZeroOverlay until needed

https://gerrit.wikimedia.org/r/243014

Jdlrobson triaged this task as High priority.Oct 8 2015, 12:42 AM

Change 244737 had a related patch set uploaded (by Yurik):
Defer loading of ZeroOverlay until needed

https://gerrit.wikimedia.org/r/244737

Change 243014 merged by jenkins-bot:
Defer loading of ZeroOverlay until needed

https://gerrit.wikimedia.org/r/243014

Jdlrobson closed this task as Resolved.Oct 9 2015, 8:06 PM
Jdlrobson claimed this task.

Change 244737 merged by jenkins-bot:
Defer loading of ZeroOverlay until needed

https://gerrit.wikimedia.org/r/244737